### Function

# GdkX11 X11Display open

#### Declaration [src]

    GdkDisplay*
    gdk_x11_display_open (
      const char* display_name
    )

#### Description [src]

Tries to open a new display to the X server given by `display_name`. If opening the display fails, `NULL` is returned.

#### Parameters

`display_name` | `const char*`
| Name of the X display. See the XOpenDisplay() for details.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GdkDisplay*`
| The new display.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.